log4shib::OstreamAppender(3)

NAME
log4shib::OstreamAppender - OstreamAppender appends LoggingEvents to ostreams.

SYNOPSIS

#include <OstreamAppender.hh>

Inherits log4shib::LayoutAppender.

  Public Member Functions
OstreamAppender (const std::string &name, std::ostream *stream)
virtual ~OstreamAppender ()
virtual bool reopen ()
Reopens the output destination of this Appender, e.g.
virtual void close ()
Release any resources allocated within the appender such as file handles, network connections, etc.

  Protected Member Functions
virtual void _append (const LoggingEvent &event)
Log in Appender specific way.

  Protected Attributes
std::ostream * _stream

  Additional Inherited Members

Detailed Description

OstreamAppender appends LoggingEvents to ostreams.

Constructor & Destructor Documentation

  log4shib::OstreamAppender::OstreamAppender (const std::string & name, std::ostream * stream)

  log4shib::OstreamAppender::~OstreamAppender () [virtual]

Member Function Documentation

  void log4shib::OstreamAppender::_append (const LoggingEvent & event) [protected], [virtual]

Log in Appender specific way. Subclasses of Appender should implement this method to perform actual logging.

Parameters
    event The LoggingEvent to log.

Implements log4shib::AppenderSkeleton.

  void log4shib::OstreamAppender::close () [virtual]

Release any resources allocated within the appender such as file handles, network connections, etc.

Implements log4shib::AppenderSkeleton.

  bool log4shib::OstreamAppender::reopen () [virtual]

Reopens the output destination of this Appender, e.g. the logfile or TCP socket.

Returns
    false if an error occured during reopening, true otherwise.

Reimplemented from log4shib::AppenderSkeleton.

Member Data Documentation

  std::ostream* log4shib::OstreamAppender::_stream [protected]

Author

Generated automatically by Doxygen for log4shib from the source code.